Denial of service in Siemens SCALANCE XM-400 and XR-500 Devices



Published: 2021-05-13
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE ID CVE-2020-28393
CWE ID CWE-682
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
SCALANCE XM-400
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE XR-500
Hardware solutions / Routers & switches, VoIP, GSM, etc

Vendor

Security Advisory

This security advisory describes one medium risk vulnerability.

1) Incorrect calculation

Risk: Medium

CVSSv3.1: 6.5 [CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C] [PCI]

CVE-ID: CVE-2020-28393

CWE-ID: CWE-682 - Incorrect Calculation

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to incorrect calculation issue. A remote attacker can send a specially crafted OSPF packet and cause a denial of service condition.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

SCALANCE XM-400: before 6.4

SCALANCE XR-500: before 6.4

CPE External links

https://cert-portal.siemens.com/productcert/pdf/ssa-116379.pdf
https://us-cert.cisa.gov/ics/advisories/icsa-21-131-10

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote non-authenticated attacker via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.



###SIDEBAR###